using System;
using System.Collections.Generic;
using Microsoft.Extensions.Logging;

namespace NTKDemo.Library.Logging
{
    public class DemoLoggerProvider : ILoggerProvider
    {
        private readonly Action<LogLevel, string, object, Dictionary<string, object>, Exception> _logAction;

        public DemoLoggerProvider(Action<LogLevel, string, object, Dictionary<string, object>, Exception> logAction)
        {
            _logAction = logAction;
        }

        public void Dispose()
        {
        }

        public ILogger CreateLogger(string categoryName)
        {
            return new DemoLogger(categoryName, _logAction);
        }
    }
}